Subject: INFO: Accessing GEnie from the Internet
From: [email-masked] (Lunatic Johnathan Bruce E'Sex)
Date: Tue, 30 Aug 1994 10:44:49 GMT
Newsgroups: comp.sys.apple2

_
    /-\s some of you know by now, it is possible to access GEnie via
telnet.  Unfortunately, depending on the sites involved, this may be
a 7-bit only connection.  I have been investigating this.  The results
of my investigations are a series of commands that SHOULD initiate a
full 8-bit connection to GEnie, but unfortunately I have been unable
to get my system to make this connection successfully.  If others
here who have been experimenting with accessing GEnie via telnet
would help out by trying these commands from various other systems,
it would be appreciated.  Here's what you do:
 
At your *nix prompt enter "telnet," and at the
 
   telnet>
 
prompt enter "toggle binary."  You should see the following message:
 
   Negotiating binary mode with remote host.
 
Next, enter "open hermes.merit.edu."  You should see
 
   Trying...
   Connected to hermes.merit.edu.
   Escape character is '^]'.
 
   %Merit:Hermes (HME504:TN02:VT100:EDIT=MTS)
   %You have reached MichNet, operated by Merit Network, Inc.
   %Enter a destination, or enter HELP for assistance.
 
   Which Host?
 
At the "Which Host?" prompt enter "%binary=on."  You may then wish to
enter "%?" at the next "Which Host?" prompt to see the status of your
switches.  They should look something like this:
 
   %TN02:VT100 EDIT=MTS   STY=REC
   %INLEN=240  CRDEL=0    TBDEL=0    LINES=24   DCC=%
   %WIDTH=80   NPC=?      PAGEW=0    IBPC=7     OBPC=7
   %WIDTH=ON   NPC=ON     PAGEW=OFF  SCROLL=ON  BINARY=ON
   %DUPLEX=OFF ECHO=ON    INTER=OFF  INPAR=OFF  READER=ON
   %BACKS=ON   TABSP=ON   DLSPE=OFF  EDIT=ON    UCO=OFF
   %BROAD=ON   MIX=ON     CALLA=OFF  OUTPA=OFF
 
That "BINARY=ON" setting is the one that's important.  If you instead
see "BINARY=OFF" you're probably not going to get a full 8-bit
connection.  (This is the point at which I have been unable to proceed
with a full 8-bit connection, myself.)
 
Next, enter the usual "sprintnet-313171" at the "Which Host?" prompt to
get to the GEnie prompt and log on as normal.  Try downloading a small
file or two.  If you are sucessful, please let me know!  For anyone
who can figure out some step or command that I have missed that would
provide 8-bit connections to GEnie from all hosts I'm sure I can
provide you with some free GEnie online credit.
     _
    |_
    |_ven if going through hermes.merit.edu cannot provide a reliable
8-bit data path to all users, it still provides access to everything
on GEnie outside of file transfers.  So, we have provided a simple
adaptation to CoPilot for logging in to GEnie from the Internet via
telnetting to hermes.merit.edu.  All it requires is the replacement
of one small script file.  The instructions for this should be
available with the latest CoPilot (v2.5), but if you'd like I'll send
the information to anyone who asks.

-- 
      ________________________________________________________
    _/ -= Lunatic Johnathan Bruce E'Sex [Full, legal name]  _/
  _/       [email-masked]       GEnie: LUNATIC     (: _/
_/  In the future, television will be revolutionised...  /_